### Function

# FwupdPlugin ChunkArray to_string

#### Declaration [src]

    gchar*
    fu_chunk_array_to_string (
      GPtrArray* chunks
    )

#### Description [src]

Converts all the chunked packets in an array to a string representation.

Available since: | 1.0.1

#### Parameters

`chunks` | An array of `FuChunk*`
| Array of chunks.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| A string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.